* {
  box-sizing: border-box;
}

p {
    margin: 0;
    font-family: "Chivo Mono", monospace;
}

body {
  margin: 0;
  padding: 32px;
  font-family: "Chivo Mono", monospace;
  background: #ffffff;
  color: #111;
}

.top-pager {
  display: flex;
  gap: 24px;
  justify-content: space-around;
  align-items:first baseline
}

.tool-note {
    display: flex;
    flex-direction: column;
    gap: 0px;
    width: 800px;

  border: 2px solid #000000;
  border-radius: 4px;
  background: #669c5f;
  padding: 8px;
  margin-bottom: 24px;
  box-shadow: 4px 4px 0 #111;
  font-size: 18px;
  color: #000000;
}

.tool-note strong {
  text-transform: uppercase;
}

.tool-note .path {
  font-family: "DM Mono", monospace;
  background: #463e3e;
  color: #f4f0e8;
  border-radius: 4px;
  padding: 6px 8px;
  display: inline-block;
  margin: 6px 0;
}

.tool-wrap {
    display: flex;
    gap: 24px;
    margin: 24px;
}

.tool-shell {
  width: 800px;
}

h1 {
  font-size: 2.4rem;
  text-transform: uppercase;
  letter-spacing: -0.05em;
  margin-bottom: 24px;
}

.panel {
  background: #fff;
  border: 3px solid #111;
  border-radius: 4px;
  padding: 6px;
  margin-bottom: 24px;
}

.panel.input > h2 {
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.panel.input > h2::after {
  content: "−";
  font-family: "Chivo Mono", monospace;
}

.panel.input.collapsed > h2::after {
  content: "+";
}

.panel.input.collapsed > *:not(h2) {
  display: none;
}

.panel h2 {
  margin-top: 0;
  font-size: 1.15rem;
  text-transform: uppercase;
  letter-spacing: 0.04em;
  border-bottom: 2px solid #111;
  padding-bottom: 8px;
}

.sub-panel {
  margin-top: 16px;
  padding: 14px;
  border: 2px dotted #111;
  background: #fafafa;
}

input,
textarea,
select {
  width: 100%;
  display: block;
  margin: 10px 0;
  padding: 10px 12px;
  border: 2px solid #111;
  background: #e2d6d6;
  font: inherit;
}

textarea {
  min-height: 90px;
  resize: vertical;
}

button {
  
  padding: 6px 12px;
  border: 2px solid #111;
  background: #4A6020;
  color: #ffffff;
  font-weight: 500;
  text-transform: uppercase;
  cursor: pointer;
  box-shadow: 3px 3px 0 #111;
  /*! margin-top: 10px; */
}

button:hover {
  transform: translate(1px, 1px);
  box-shadow: 0px 0px 0 #111;
}

button:active {
  transform: translate(3px, 3px);
  box-shadow: none;
}

ul {
  padding-left: 18px;
}

li {
  margin: 6px 0;
  font-family: "Chivo Mono", monospace;
  font-size: 0.9rem;
}

.panel.data {
    height: fit-content;
    width: fit-content;
}

#jsonPreview {
  background: #111;
  color: #f4f0e8;
  padding: 18px;
  border: 2px solid #111;
  overflow-x: auto;
  min-height: 260px;
  height: 1000px;
  width: 600px;
  font-family: "Chivo Mono", monospace;
  font-size: 0.85rem;
  line-height: 1.5;
}

